Create Role
Creates a new custom VCF role with specified component roles and permissions. Custom roles allow fine-grained access control by combining component-specific roles from different VCF components. The role name must be unique and will be validated for conflicts with existing roles.
VCF role definition object containing role name, description, and component role assignments
Show optional properties
{
"componentRoles": [
{
"componentType": "string",
"roles": [
{}
]
}
],
"roleName": "string"
}
{
"componentRoles": [
{
"componentType": "string",
"roles": [
"string"
]
}
],
"createdAt": 0,
"createdBy": "string",
"roleDescription": "string",
"roleDisplayName": "string",
"roleName": "string",
"type": "string",
"updatedAt": 0,
"updatedBy": "string"
}
List of VCF Component Roles
Role creation timestamp
VCF Role Created By
VCF Role Description
VCF Display Role Name
VCF Role Name
VCF Role type
Role last updated timestamp
VCF Role Updated By
Custom VCF role created successfully
{
"componentRoles": [
{
"componentType": "string",
"roles": [
"string"
]
}
],
"createdAt": 0,
"createdBy": "string",
"roleDescription": "string",
"roleDisplayName": "string",
"roleName": "string",
"type": "string",
"updatedAt": 0,
"updatedBy": "string"
}
List of VCF Component Roles
Role creation timestamp
VCF Role Created By
VCF Role Description
VCF Display Role Name
VCF Role Name
VCF Role type
Role last updated timestamp
VCF Role Updated By
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"componentRoles":["object"],"roleName":"string"}' https://{api_host}/suite-api/api/fleet-management/iam/roles